## liboop 1.0

=== debian/changelog ===
liboop (1.0-11) unstable; urgency=medium

  * new-readline-typedef.patch (new): Replace obsolete typedef for
    callback function pointer cast (in test-oop, which we don't use)
    (Closes: #743094).
  * Bump Standards-Version to 3.9.5.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 13 Apr 2014 23:36:30 +0200

liboop (1.0-10) unstable; urgency=low

  * Update homepage URL and upstream maintainers.
  * Build with default tcl-dev instead of obsolete versions (Closes:
    #725334). Thanks to Sergei Golovan.
  * Bump Standards-Version to 3.9.4.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 15 Oct 2013 23:20:55 +0200

liboop (1.0-9) unstable; urgency=low

  * Add build-arch and build-indep targets.
  * Remove arch-indep build dependency on sharutils, which is unnecessary
    since the conversion to source format 3.0 when the former web site was
    put in an additional upstream tarball.
  * Use dpkg-buildflags.
  * Use dh-autoreconf to handle autoreconfing.
  * Use current automake to build package, instead of 1.9, since it seems
    to work. Maybe 1.10 didn't work.
  * Bump Standards-Version to 3.9.3.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 26 Feb 2012 22:43:16 +0100

liboop (1.0-8) unstable; urgency=low

  * Remove dependency on binutils-gold, which was inadvertently left in
    place after testing.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 30 Jul 2010 18:08:11 +0200

liboop (1.0-7) unstable; urgency=low

  * Add debug package
  * Switch to source format 3.0 (quilt).
  * Put the documentation from the former web site in an additional
    upstream tarball. This means the logo no longer has to be stored as-is
    instead of as a self-extracting archive, making the associated
    Makefile unnecessary as well. The html can be installed by
    dh_installdocs instead.
  * read_bugfixes.patch: Fixes from Ian Jackson to bugs in a feature for
    reading lines and records that he once contributed (Closes: #579604).
  * Upgrade to debhelper compatibility level 7, use dh_install instead
    of dh_movefiles as well as dh_prep instead of dh_clean.
  * configure_support_freebsd_hurd.patch: Separate patch for bug #359930.
  * explicit_linking.patch: In Makefile.am, explicitly link test-oop with
    all the libraries that the adapter libraries use, so that the package
    can be built with binutils-gold, where --no-add-needed is the default
    (Closes: #555285). Also add -lglib-2.0 to the Libs: line in
    liboop-glib2.pc (indirectly, via liboop-glib2.pc.in).

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 30 Jul 2010 17:57:35 +0200

liboop (1.0-6) unstable; urgency=low

  * Build with libreadline6 instead of libreadline5 (drop the
    libreadline5-dev Build-Depends alternative).
  * Add ${misc:Depends} to all Depends in case Debhelper needs it.
  * Remove libc6-dev from Depends of liboop-dev; it's build-essential.
  * Bump Standards-Version to 3.8.3.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 27 Sep 2009 21:29:45 +0200

liboop (1.0-5) unstable; urgency=low

  * Build with GLib 2.0 instead of 1.2 (Closes: #523688).
  * Switch to Debhelper level 5.
  * Bump Standards-Version to 3.8.1.
  * Skip unnecessary dh_installdirs; delete unused files from the debian
    directory.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 13 Apr 2009 20:36:57 +0200

liboop (1.0-4) unstable; urgency=low

  * New maintainer (Closes: #487130).
  * Fix documentation file name extensions (Closes: #307732).
  * Build liboop-doc in binary-indep target (Closes: #475573).
  * Add debian/compat; remove DH_COMPAT from debian/rules.
  * Don't ignore "make distclean" errors.
  * Move sharutils to Build-Depends-Indep.
  * debian/copyright: Update postal address of the FSF.
  * Patch configure.ac as suggested in bug 359930, run autoreconf for good
    measure and remove autogenerated files in clean target. I don't like
    huge Debian diffs. Copying files from autotools-dev thus becomes
    redundant.
  * Update doc-base section to match current structure.
  * debian/control: Replace ${Source-Version} with ${binary:Version}.
  * Standards-Version upgraded to 3.8.0 with the above change.
  * Add Homepage field and watch file, and update download location in
    debian/copyright to one that works.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 25 Jun 2008 13:03:42 +0200

liboop (1.0-3.3) unstable; urgency=high

  * Non-maintainer upload.
  * Drop unused libwww-dev build-dependency. Closes: #458866.
  * This fixes an FTBFS in testing, set urgency to high.

 -- Regis Boudin <regis@debian.org>  Thu, 10 Apr 2008 21:47:16 +0100

liboop (1.0-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Relibtoolize.  Closes: #359930.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 23 Jan 2008 22:22:53 +0100

liboop (1.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against libreadline5.  Closes: #350647.

 -- Matej Vela <vela@debian.org>  Thu, 16 Mar 2006 16:50:24 +0100

liboop (1.0-3) unstable; urgency=low

  * Include pkg-config files.  (Closes: Bug#227061)
  * New liboop-doc package that includes documentation from liboop.org.
    (Closes: Bug#224392)

 -- Simon Law <sfllaw@debian.org>  Sun, 11 Jul 2004 16:53:38 -0400

liboop (1.0-2) unstable; urgency=low

  * New maintainer.
  * Update 'missing' binary from Automake 1.6.
  * Use Policy 3.6.1.
  * Use Debconf 4.

 -- Simon Law <sfllaw@debian.org>  Wed, 02 Jun 2004 17:39:12 -0400

liboop (1.0-1) unstable; urgency=low

  * New upstream release (closes: #224210)

 -- Timshel Knoll <timshel@debian.org>  Fri, 19 Dec 2003 00:55:53 +1100

liboop (0.9-1) unstable; urgency=low

  * New upstream release (closes: #191305)
    + liboop SONAME has been bumped to 4, so name of source and binary
      packages is now liboop4, to allow co-existence with liboop3
  * Moved liboop-dev to libdevel section
  * Fixed configure{.in,} to build libwww support, Build-Depend on libwww-dev
  * Policy 3.5.9


