=== debian/control ===
Source: liboop
Section: libs
Priority: optional
Maintainer: Magnus Holmgren <holmgren@debian.org>
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), libtool,
 dh-autoreconf, autoconf, automake, libadns1-dev, libglib2.0-dev,
 libreadline-dev, tcl-dev
Standards-Version: 3.9.5
Homepage: http://www.lysator.liu.se/liboop/

Package: liboop4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: liboop
Replaces: liboop3
Description: Event loop management library
 Liboop is a low-level event loop management library for POSIX-based
 operating systems. It supports the development of modular, multiplexed
 applications which may respond to events from several sources. It
 replaces the "select() loop" and allows the registration of event
 handlers for file and network I/O, timers and signals. Since processes
 use these mechanisms for almost all external communication, liboop can
 be used as a basis for almost any application.

Package: liboop-dev
Section: libdevel
Architecture: any
Depends: liboop4 (= ${binary:Version}), ${misc:Depends}
Description: Event loop management library - development files
 Liboop is a low-level event loop management library for POSIX-based
 operating systems. It supports the development of modular, multiplexed
 applications which may respond to events from several sources. It
 replaces the "select() loop" and allows the registration of event
 handlers for file and network I/O, timers and signals. Since processes
 use these mechanisms for almost all external communication, liboop can
 be used as a basis for almost any application.
 .
 This package contains the liboop development libraries and header
 files, required to develop and/or compile applications that use liboop.

Package: liboop-doc
Section: doc
Architecture: all
Depends:  ${misc:Depends}
Description: Event loop management library - documentation
 Liboop is a low-level event loop management library for POSIX-based
 operating systems. It supports the development of modular, multiplexed
 applications which may respond to events from several sources. It
 replaces the "select() loop" and allows the registration of event
 handlers for file and network I/O, timers and signals. Since processes
 use these mechanisms for almost all external communication, liboop can
 be used as a basis for almost any application.
 .
 This package contains a mirror of the http://liboop.org website and its
 associated HTML documentation for the liboop library.

Package: liboop-dbg
Section: debug
Priority: extra
Architecture: any
Depends: liboop4 (= ${binary:Version}), ${misc:Depends}
Description: Event loop management library - debug symbols
 Liboop is a low-level event loop management library for POSIX-based
 operating systems.
 .
 This package contains debugging symbols.
