=== debian/rules ===
#!/usr/bin/make -f
#
# To build the packages, run `dpkg-buildpackage' or `debuild' from the
# parent directory of this file. (You may need to specify the `-rfakeroot'
# option if you are using dpkg-buildpackage and are not running as root)
#
# Copyright © 1999, 2000, 2001, 2002  Timshel Knoll <timshel@debian.org>
# Copyright © 2008, 2009, 2010, 2012  Magnus Holmgren <holmgren@debian.org>
# Licensed under the terms of the GNU General Public License
#
# Based originally on Sample debian/rules that uses debhelper, from dh-make,
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  buildflags := --build=$(DEB_BUILD_GNU_TYPE)
else
  buildflags := --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

buildflags += $(shell dpkg-buildflags --export=configure)

configure: configure-stamp
configure-stamp:
	dh_testdir

	[ -f debian/autoreconf.before ] || dh_autoreconf

	./configure --prefix=/usr $(buildflags)

	touch $@

build: build-arch
build-indep:
build-arch: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep:
	dh_testdir
	dh_testroot
	dh_install -i

	dh_installdocs -i
	dh_installman -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -Xliboop-doc/html
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir
	dh_testroot
	dh_install -a

	dh_installdocs -a
	dh_installman -a
	dh_installinfo -a
	dh_installchangelogs -a
	dh_link -a
	dh_strip -a --dbg-package=liboop-dbg
	dh_compress -a -Xliboop-doc/html
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
#	 Don't add the depends for adapter libraries - programs which link
#	 with them will also link with the appropriate library
	dh_shlibdeps -a -Xliboop-
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: configure build build-arch build-indep install
.PHONY: binary-indep binary-arch binary clean
