=== debian/watch ===
version=3

http://download.ofb.net/liboop/liboop-(.*)\.tar\.gz
