## liboop 1.0.1

=== debian/changelog ===
liboop (1.0.1-4) unstable; urgency=low

  * debian/control: Add Vcs fields after converting to Git.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 24 Jun 2024 23:49:24 +0200

liboop (1.0.1-3) unstable; urgency=low

  * Upgrade to Debhelper compat level 13 and convert debian/rules to use
    dh.
    * Note that This moves the documentation files in the liboop-doc
      package from /usr/share/doc/liboop-doc to /usr/share/doc/liboop-dev
      in accordance with Policy §12.3.
    * Drop the --dbgsym-migration parameter to dh_strip (since that
      migration happened in buster).
    * Use ${DEB_HOST_MULTIARCH} in debian/*.install (and
      debian/not-installed).
  * Clean up dependencies and move the appropriate ones to
    Build-Depends-Arch.
  * Update Lintian overrides.
  * Enable rootless build.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 24 Jun 2024 23:19:41 +0200

liboop (1.0.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062498

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 05:38:17 +0000

liboop (1.0.1-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 16:48:15 +0100

liboop (1.0.1-2) unstable; urgency=medium

  * conditional_dependencies.patch: Use Automake conditionals to construct
    $(lib_LTLIBRARIES). Otherwise automake doesn't pick up the correct
    dependencies for liboop-test (Closes: #909904).
  * Migrate to automatic dbgsym packages.
  * Add multi-arch support.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 30 Sep 2018 22:09:14 +0200

liboop (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Drop read_bugfixes.patch, configure_support_freebsd_hurd.patch,
    new-readline-typedef.patch; incorporated upstream. Half of
    explicit_linking.patch was incorporated upstream.
  * Switch to Debhelper compat level 9.
  * Update debian/copyright and debian/watch, as well as the description
    of the liboop-doc package, with new download URL and info on the
    documentation source, and add Niels Möller's GPG key as
    debian/upstream/signing-key.asc.
  * Bump Standards-Version to 3.9.8.
  * Add liboop4.symbols.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 11 Jan 2017 20:02:31 +0100
