=== debian/control ===
--- 
+++ 
@@ -2,18 +2,23 @@
 Section: libs
 Priority: optional
 Maintainer: Magnus Holmgren <holmgren@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), libtool,
- dh-autoreconf, autoconf, automake, libadns1-dev, libglib2.0-dev,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
+Build-Depends-Arch: libtool, libadns1-dev, libglib2.0-dev,
  libreadline-dev, tcl-dev
-Standards-Version: 3.9.5
-Homepage: http://www.lysator.liu.se/liboop/
+Standards-Version: 3.9.8
+Homepage: https://www.lysator.liu.se/liboop/
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/holmgren/liboop.git
+Vcs-Browser: https://salsa.debian.org/holmgren/liboop
 
-Package: liboop4
+Package: liboop4t64
+Breaks: liboop4 (<< ${source:Version})
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: liboop
-Replaces: liboop3
+Provides: ${t64:Provides}, liboop
+Replaces: liboop4, liboop3
 Description: Event loop management library
  Liboop is a low-level event loop management library for POSIX-based
  operating systems. It supports the development of modular, multiplexed
@@ -26,7 +31,8 @@
 Package: liboop-dev
 Section: libdevel
 Architecture: any
-Depends: liboop4 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Depends: liboop4t64 (= ${binary:Version}), ${misc:Depends}
 Description: Event loop management library - development files
  Liboop is a low-level event loop management library for POSIX-based
  operating systems. It supports the development of modular, multiplexed
@@ -52,16 +58,6 @@
  use these mechanisms for almost all external communication, liboop can
  be used as a basis for almost any application.
  .
- This package contains a mirror of the http://liboop.org website and its
- associated HTML documentation for the liboop library.
-
-Package: liboop-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: liboop4 (= ${binary:Version}), ${misc:Depends}
-Description: Event loop management library - debug symbols
- Liboop is a low-level event loop management library for POSIX-based
- operating systems.
- .
- This package contains debugging symbols.
+ This package contains a mirror of the
+ https://www.lysator.liu.se/liboop/ website and its associated HTML
+ documentation for the liboop library.
