=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_shlibdeps:
#	Don't add the depends for adapter libraries - programs which link
#	with them will also link with the appropriate library
	dh_shlibdeps -a -Xliboop-

override_dh_update_autotools_config-indep:
override_dh_autoreconf-indep:
override_dh_auto_configure-indep:
override_dh_auto_build-indep:
